bitel.billing.server.contract.bean

## Class PasswordManager

- java.lang.Object
- - bitel.billing.server.contract.bean.PasswordManager

-     public class PasswordManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPassword(java.lang.String contractTitle, long passwordExpireHour, java.lang.String password)`
    `void` | `deleteByContract(java.lang.String contractTitle)`
    `void` | `deleteContractTitle(java.lang.String passwordOnce)`
    `java.lang.String` | `findContractTitle(java.lang.String passwordOnce)`
    `java.lang.String` | `getOncePassword(java.lang.String charArray)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### con

          protected java.sql.Connection con

  - ### Constructor Detail

    - #### PasswordManager

          public PasswordManager(java.sql.Connection con)

  - ### Method Detail

    - #### findContractTitle

          public java.lang.String findContractTitle(java.lang.String passwordOnce)

    - #### addPassword

          public void addPassword(java.lang.String contractTitle,
                                  long passwordExpireHour,
                                  java.lang.String password)

    - #### deleteContractTitle

          public void deleteContractTitle(java.lang.String passwordOnce)

    - #### deleteByContract

          public void deleteByContract(java.lang.String contractTitle)

    - #### getOncePassword

          public java.lang.String getOncePassword(java.lang.String charArray)